import * as React from "react";

export interface ButtonProps {
  /**
   * Define a cor do botão.
   */
  color?: "default" | "inherit" | "primary" | "secondary";
  disableFocusRipple?: boolean;
  endIcon?: React.ReactNode;
  fullWidth?: boolean;
  href?: string;
  size?: "small" | "medium" | "large";
  startIcon?: React.ReactNode;
  variant?: "text" | "outlined" | "contained";
}

declare const Button: React.ComponentType<ButtonProps>;

export default Button;
