"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _Table = _interopRequireDefault(require("@material-ui/core/Table"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var Table = function Table(props) {
  return _react["default"].createElement(_Table["default"], props);
};

process.env.NODE_ENV !== "production" ? Table.propTypes = {
  /**
   * The content of the table, normally `TableHead` and `TableBody`.
   */
  children: _propTypes["default"].node.isRequired,

  /**
   * Override or extend the styles applied to the component.
   * See [CSS API](#css) below for more details.
   */
  classes: _propTypes["default"].object.isRequired,

  /**
   * @ignore
   */
  className: _propTypes["default"].string,

  /**
   * The component used for the root node.
   * Either a string to use a DOM element or a component.
   */
  component: _propTypes["default"].elementType,

  /**
   * Allows TableCells to inherit padding of the Table.
   */
  padding: _propTypes["default"].oneOf(["default", "checkbox", "none"]),

  /**
   * Allows TableCells to inherit size of the Table.
   */
  size: _propTypes["default"].oneOf(["small", "medium"]),

  /**
   * Set the header sticky.
   *
   * ⚠️ It doesn't work with IE 11.
   */
  stickyHeader: _propTypes["default"].bool
} : void 0;
Table.defaultProps = {
  classes: {}
};
var memoTable = (0, _react.memo)(Table);
var _default = memoTable;
exports["default"] = _default;