"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _TableRow = _interopRequireDefault(require("@material-ui/core/TableRow"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var TableRow = function TableRow(props) {
  return _react["default"].createElement(_TableRow["default"], props);
};

process.env.NODE_ENV !== "production" ? TableRow.propTypes = {
  /**
   * Should be valid <tr> children such as `TableCell`.
   */
  children: _propTypes["default"].node,

  /**
   * Override or extend the styles applied to the component.
   * See [CSS API](#css) below for more details.
   */
  classes: _propTypes["default"].object.isRequired,

  /**
   * @ignore
   */
  className: _propTypes["default"].string,

  /**
   * The component used for the root node.
   * Either a string to use a DOM element or a component.
   */
  component: _propTypes["default"].elementType,

  /**
   * If `true`, the table row will shade on hover.
   */
  hover: _propTypes["default"].bool,

  /**
   * If `true`, the table row will have the selected shading.
   */
  selected: _propTypes["default"].bool
} : void 0;
TableRow.defaultProps = {
  classes: {}
};
var memoTableRow = (0, _react.memo)(TableRow);
var _default = memoTableRow;
exports["default"] = _default;